import { BaseModel } from '../../frame/BaseModel';
import { Column, Entity } from 'typeorm';
@Entity('menus', { comment: '菜单表' })
export class Menus extends BaseModel {
  @Column({ type: 'varchar', nullable: true, comment: '菜单名称' })
  name: string;
  @Column({ type: 'varchar', nullable: true, comment: '路由名称' })
  route_name: string;
  @Column({ type: 'int', nullable: true, comment: '父级菜单' })
  parent_id: number;
  @Column({ type: 'int', nullable: true, comment: '显示顺序' })
  order_num: number;
  @Column({ type: 'varchar', nullable: true, comment: '路由地址' })
  path: string;
  @Column({ type: 'varchar', nullable: true, comment: '组件地址' })
  component: string;
  @Column({ type: 'varchar', nullable: true, comment: '菜单类型:0:目录;1:菜单;2:子页面' })
  type: string;
  @Column({ type: 'varchar', nullable: true, comment: '图标' })
  icon: string;
  @Column({ type: 'json', nullable: true, comment: '功能列表' })
  config: any;
  @Column({ type: 'varchar', default: '0', comment: '是否默认:0:默认;1:非默认;默认不能删除' })
  is_default: string;
  @Column({ type: 'varchar', nullable: true, comment: '备注' })
  remark: string;
  @Column({ type: 'varchar', default: '0', comment: '是否使用:0:使用;1禁用' })
  is_use: string;
}